Bug 212483 - devel/llvm38: Add compiler-rt support on arm64
Summary: devel/llvm38: Add compiler-rt support on arm64
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords: feature, patch
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2016-09-08 10:26 UTC by Andrew Turner
Modified: 2018-02-02 23:18 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
WIP patch (2.38 KB, patch)
2016-09-08 10:26 UTC, Andrew Turner
no flags Details | Diff
Log from llvm 3.8.1 (792.13 KB, text/plain)
2016-09-08 10:27 UTC, Andrew Turner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Turner freebsd_committer 2016-09-08 10:26:20 UTC
Created attachment 174518 [details]
WIP patch

The llvm ports don't have compiler-rt support. The attached patch starts to add this, but needs some work before it could be committed.
Comment 1 Andrew Turner freebsd_committer 2016-09-08 10:27:17 UTC
Created attachment 174519 [details]
Log from llvm 3.8.1
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-09-08 10:29:16 UTC
@Andrew, given the WIP'ness of the patch, perhaps a review is more appropriate until ready?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-09-08 10:29:37 UTC
Re-add blocked issue (mid-air collision)
Comment 4 Andrew Turner freebsd_committer 2016-09-08 10:38:58 UTC
I created a bug as it's easier to share log files that will be needed to complete the patch.
Comment 5 Brooks Davis freebsd_committer 2016-09-08 17:32:33 UTC
-DCOMPILER_RT_BUILD_SANITIZERS=off seems wrong.  If the sanitizers don't build, there's no point in trying to enable COMPILER_RT since that's all the knob does.
Comment 6 Ed Maste freebsd_committer 2017-11-20 21:04:31 UTC
What state is this in, with recent devel/llvm* versions?
Comment 7 Brooks Davis freebsd_committer 2017-11-20 22:36:06 UTC
This should likely be closed.  I don't know what is required to enable sanitizers on newer versions.  It may be that some just work.
Comment 8 Andrew Turner freebsd_committer 2017-11-20 22:58:54 UTC
It got stuck in review https://reviews.llvm.org/D32175
Comment 9 Brooks Davis freebsd_committer 2018-02-02 23:18:10 UTC
I'm closing this for now.  We can work on this after upstream accepts the changes.